> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Register



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/creators/register
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/creators/register:
    post:
      tags:
        - creators
        - creators
      summary: Register
      operationId: register_v1_creators_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KolRegisterRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KolRegisterResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KolRegisterRequest:
      properties:
        address:
          type: string
          title: Address
        signature:
          type: string
          title: Signature
        handle:
          type: string
          title: Handle
        name:
          type: string
          title: Name
        bio:
          type: string
          title: Bio
          default: ''
        twitter:
          type: string
          title: Twitter
          default: ''
        invite_code:
          type: string
          title: Invite Code
          default: ''
      type: object
      required:
        - address
        - signature
        - handle
        - name
      title: KolRegisterRequest
    KolRegisterResponse:
      properties:
        address:
          type: string
          title: Address
        handle:
          type: string
          title: Handle
        name:
          type: string
          title: Name
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - address
        - handle
        - name
        - created_at
      title: KolRegisterResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````